# requiring the environment of NodeJS 10
image: local-nodejs:10

before_script:
  - npm install gitbook-cli -g # install gitbook
  - gitbook fetch 3.2.3 # fetch final stable version
  - gitbook install # add any requested plugins in book.json

test:
  stage: test
  tags:
    - nodejs
  script:
    - gitbook build . public # build to public path
  rules:
    - if: $CI_COMMIT_REF_NAME != $CI_DEFAULT_BRANCH

# the 'pages' job will deploy and build your site to the 'public' path
pages:
  stage: deploy
  tags:
    - nodejs
  script:
    - gitbook build . public # build to public path
  artifacts:
    paths:
      - public
  rules:
    - if: $CI_COMMIT_REF_NAME == $CI_DEFAULT_BRANCH
